mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

The following table shows the simple names recognized by this class and the default algorithm implementations to which they map. Alternatively, you can map other implementations to these names, as described in Mapping Algorithm Names to Cryptography Classes.

Simple name

Algorithm implementation

3DES, Triple DES, TripleDES, System.Security.Cryptography.TripleDES

AES, System.Security.Cryptography.AesCryptoServiceProvider

AesManaged, System.Security.Cryptography.AesManaged

System.Security.Cryptography.AsymmetricAlgorithm

DES, System.Security.Cryptography.DES

DSA, System.Security.Cryptography.DSA

ECDH, ECDiffieHellman, ECDiffieHellmanCng, System.Security.Cryptography.ECDiffieHellmanCng

ECDsa, ECDsaCng, System.Security.Cryptography.ECDsaCng

System.Security.Cryptography.HashAlgorithm

HMAC, System.Security.Cryptography.HMAC

HMACMD5, System.Security.Cryptography.HMACMD5

HMACRIPEMD160, System.Security.Cryptography.HMACRIPEMD160

HMACSHA1, System.Security.Cryptography.HMACSHA1

HMACSHA256, System.Security.Cryptography.HMACSHA256

HMACSHA384, System.Security.Cryptography.HMACSHA384

HMACSHA512, System.Security.Cryptography.HMACSHA512

System.Security.Cryptography.KeyedHashAlgorithm

MACTripleDES, System.Security.Cryptography.MACTripleDES

MD5, System.Security.Cryptography.MD5

System.Security.Cryptography.MD5Cng

RandomNumberGenerator

RC2, System.Security.Cryptography.RC2

Rijndael, System.Security.Cryptography.Rijndael

RIPEMD160, RIPEMD-160, System.Security.Cryptography.RIPEMD160Managed

RSA, System.Security.Cryptography.RSA

SHA, SHA1, System.Security.Cryptography.SHA1

System.Security.Cryptography.SHA1Cng

SHA256, SHA-256, System.Security.Cryptography.SHA256

System.Security.Cryptography.SHA256Cng

System.Security.Cryptography.SHA256CryptoServiceProvider

SHA384, SHA-384, System.Security.Cryptography.SHA384

System.Security.Cryptography.SHA384Cng

System.Security.Cryptography.SHA384CryptoServiceProvider

SHA512, SHA-512, System.Security.Cryptography.SHA512

System.Security.Cryptography.SHA512Cng

System.Security.Cryptography.SHA512CryptoServiceProvider

System.Security.Cryptography.SymmetricAlgorithm

Accesses the cryptography configuration information.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Included for compatibility with MS.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Void `` `System.ParamArray`

  The specified mappings take precedence over the built-in mappings and the mappings in the machine.config file. The mappings are used to prevent partially trust code from using trusted cryptographic operations.

  Adds a set of names to algorithm mappings to be used for the current application domain.

  The algorithm to map to. An array of names to map to the algorithm.
- Method
  4.0.0.0
  System.Void `` `System.ParamArray`

  The specified mappings take precedence over the built-in mappings and the mappings in the machine.config file. The mappings are used to prevent partially trust code from using trusted cryptographic operations.

  Adds a set of names to object identifier (OID) mappings to be used for the current application domain.

  The object identifier (OID) to map to. An array of names to map to the OID.
- Property
  4.0.0.0
  System.Boolean To be added.

  If false, any algorithm may be created.

  Indicates whether the runtime should enforce the policy to create only Federal Information Processing Standard (FIPS) certified algorithms.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  For a list of simple names recognized by this class, see .

  Creates a new instance of the specified cryptographic object.

  A new instance of the specified cryptographic object.

  The simple name of the cryptographic object of which to create an instance.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `System.ParamArray`

  For a list of simple names recognized by this class, see .

  Creates a new instance of the specified cryptographic object with the specified arguments.

  A new instance of the specified cryptographic object.

  The simple name of the cryptographic object of which to create an instance. The arguments used to create the specified cryptographic object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] ``

  A will be thrown if the OID is invalid, like:

  if the OID string has less than two parts (e.g. "0");
  if the encoded OID would be greater than 127 bytes;

  A will be thrown if a part of the OID is bigger than ..

Encodes the specified object identifier (OID).

A byte array containing the encoded OID.

The OID to encode.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  For a list of simple names recognized by this class, see .

  Gets the object identifier (OID) of the algorithm corresponding to the specified simple name.

  The OID of the specified algorithm.

  The simple name of the algorithm for which to get the OID.